Bug 426231 - Matlab library
Matlab library
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-19 08:23 EST by Alberto Guillén
Modified: 2007-12-31 08:30 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-31 08:30:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alberto Guillén 2007-12-19 08:23:50 EST
ResúmenSELinux está negando a /usr/matlabR2007/bin/glnxa64/MATLAB la carga de
/usr/matlabR2007/bin/glnxa64/libguide.so que requiere reubicación de
texto.Descripción DetalladaLa aplicación /usr/matlabR2007/bin/glnxa64/MATLAB
intentó cargar /usr/matlabR2007/bin/glnxa64/libguide.so que requiere
reasignación de texto. Esto es un problema de seguridad potencial. La mayoría de
las bibliotecas no necesitan este permiso. Las bibliotecas son a veces
codificadas incorrectamente y requieren este permiso. La página web de Pruebas
de Protección de Memoria en SELinux explica cómo eliminar este requerimiento.
Puede configurar SELinux para que temporalmente permita a
/usr/matlabR2007/bin/glnxa64/libguide.so usar la reubicación mientras se corrije
la biblioteca. Por favor, ingrese un informe de error contra este paquete.
Comment 1 Daniel Walsh 2007-12-26 11:38:42 EST
chmod -t textrel_shlib_t /usr/matlabR2007/bin/glnxa64/libguide.so

should fix.  This path seems wrong.

semanage fcontext -t textrel_shlib_t /usr/matlabR2007/bin/glnxa64/libguide.so

Note You need to log in before you can comment on or make changes to this bug.